# RenderResult(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``RenderResult`(bpy_struct)

  Result of rendering, including all layers and passes

  `layers`

    Type: | `bpy_prop_collection` of `RenderLayer`, (readonly)

  `resolution_x`

    Type: | int in [-inf, inf], default 0, (readonly)

  `resolution_y`

    Type: | int in [-inf, inf], default 0, (readonly)

  `views`

    Type: | `bpy_prop_collection` of `RenderView`, (readonly)

  `load_from_file`(filename)

    Copies the pixels of this render result from an image file

    Parameters: | filename (string, (never None)) – File Name, Filename to load into this render tile, must be no smaller than the render result

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`RenderEngine.begin_result` `RenderEngine.end_result` | `RenderEngine.update_result`